Subject: bug#61958: closed (Re: [bug#61958] (no subject))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 May 2023 06:48:02 +0000

Your bug report

#61958: [PATCH 00/32] various Rust updates and additions

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61958: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61958
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61958] (no subject)
From: Efraim Flashner <[email-masked]>
To: Tyler Wolf <[email-masked]>
Cc: [email-masked], Arjan Adriaanse <[email-masked]>
Date: Tue, 16 May 2023 09:47:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, May 15, 2023 at 01:45:21PM +0000, Tyler Wolf wrote:
> Has there any movement on these changes thus far? I would CC the relevant
> people but I am not entirely sure who that would be to apply these patches.

That would be me. Some of the patches are redundant with the merging of
the rust-team branch. Of the 5 remaining I applied 2 of them to the
master branch, the ones that don't cause many rebuilds, and the others I
applied to (my local) rust-team branch for the next round of rust
updates.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 00/32] various Rust updates and additions
From: Arjan Adriaanse <[email-masked]>
To: [email-masked]
Cc: Arjan Adriaanse <[email-masked]>
Date: Sat, 4 Mar 2023 14:50:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

These are some package additions and updates that are required for updating
the "rbw" Rust package, which is a work in progress but taking some time.  The
changes can be useful on their own, have had basic testing and can be applied
in this order.

Arjan Adriaanse (32):
  gnu: Add rust-block-padding-0.3.
  gnu: Add rust-inout-0.1.
  gnu: rust-typenum-1: Update to 1.16.0.
  gnu: rust-crypto-common-0.1: Update to 0.1.6.
  gnu: Add rust-cipher-0.4.
  gnu: Add rust-aes-0.8.
  gnu: Add rust-anes-0.1.
  gnu: Add rust-rstest-0.11.
  gnu: Add rust-ciborium-io-0.2.
  gnu: Add rust-ciborium-ll-0.2.
  gnu: Add rust-ciborium-0.2.
  gnu: Add rust-criterion-plot-0.5.
  gnu: Add rust-criterion-0.4.
  gnu: rust-rand-0.8: Update to 0.8.5.
  gnu: Add rust-rstest-0.12.
  gnu: Add rust-rstest-reuse-0.3.
  gnu: Add rust-base64-0.21.
  gnu: rust-serde-1: Update to 1.0.139.
  gnu: rust-serde-derive-1: Update to 1.0.139.
  gnu: Add rust-basic-toml-0.1.
  gnu: rust-trybuild-1: Update to 1.0.77.
  gnu: rust-anyhow-1: Update to 1.0.69.
  gnu: rust-async-trait-0.1: Update to 0.1.64.
  gnu: Add rust-cbc-0.1.
  gnu: Add rust-windows-targets-0.42.
  gnu: Add rust-windows-sys-0.45.
  gnu: Add rust-linux-raw-sys-0.1.
  gnu: rust-os-pipe-1: Update to 1.1.3.
  gnu: Add rust-io-lifetimes-1.
  gnu: Add rust-rustix-0.36.
  gnu: Add rust-hermit-abi-0.3.
  gnu: Add rust-is-terminal-0.4.

 gnu/packages/crates-io.scm | 720 +++++++++++++++++++++++++++++++------
 1 file changed, 614 insertions(+), 106 deletions(-)

base-commit: 2799ad44234be675f018115f99be98d2c9fd565d
-- 
2.39.1